Forum Home » Enterprise Products » Fuse IDE

Thread: FUSE Integration Designer 1.2

 

Permlink Replies: 11 - Last Post: May 28, 2009 1:47 PM Last Post By: rlg673
jkhan

Posts: 36
Registered: 05/22/08
FUSE Integration Designer 1.2
Posted: May 21, 2009 10:23 PM
  Click to reply to this thread Reply
I trying to use FUSE Integration Designer 1.2 and can draw my flow.
JMS -> SetBody -> JMS.
I am unable to run as application by adding required the following JARs: camel-jms-<version>-fuse.jar, camel-spring-<version>-fuse.jar, and activemq-all-<version>-fuse.jar. It doesn't create a pom file so i can build and deploy in 4.1.
I think it is missing maven plugin.
Thanks
Jawed
ckonda

Posts: 4
Registered: 09/30/08
Re: FUSE Integration Designer 1.2
Posted: May 22, 2009 5:55 AM   in response to: jkhan in response to: jkhan
  Click to reply to this thread Reply
Hi Jawed,

In Fuse Integration Designer 1.2, you will be able to set up ESB in the Servers view (right click New>Server and then choose the version of FUSE ESB you want to use). You can then add the EIP project onto the configured server and publish the EIP to the ESB. The 1.2 tooling will take care of all the required packaging. You can refer to the link http://fusesource.com/docs/id/1.2/user_guide/EitoolsESBServer.html for details on how to deploy EIP on ESB server.

Lavanya.
mahesh

Posts: 11
Registered: 10/07/08
Re: FUSE Integration Designer 1.2
Posted: May 22, 2009 6:05 AM   in response to: jkhan in response to: jkhan
  Click to reply to this thread Reply
Hi Jawed,

For Run, Can you elaborate what happens when you run ? Are you getting any exceptions on the console or the launch itself fails ? if any, Can you post the exception.

Regarding deployment in 4.1, we didn't take the maven approach as it has its own issues to be dealt with. So, we adopted the WTP deployment mechanism. The tool has the provision for deployment in the 4.1. ( Lavanya's post expands on this).

We skipped the maven plug-in deliberately as its mere presence is posing problems ( http://jira.codehaus.org/browse/MNGECLIPSE-873 ) . The follow-up to this is here http://fusesource.com/issues/browse/UI-670

Hope this helps.

-Mahesh
sivanaresh

Posts: 5
Registered: 05/22/09
Re: FUSE Integration Designer 1.2
Posted: May 22, 2009 6:25 AM   in response to: mahesh in response to: mahesh
  Click to reply to this thread Reply
Hi Jawed,

Try running the application by adding activemq-all-5.2.0 jar to the classpath.
This should solve the problem.

Naresh.
jkhan

Posts: 36
Registered: 05/22/08
Re: FUSE Integration Designer 1.2
Posted: May 22, 2009 3:45 PM   in response to: sivanaresh in response to: sivanaresh
  Click to reply to this thread Reply
I figured out this issue. I added the jars in the project but not in Run Configuration Classpath. I never had to do this before.
Thanks
Jawed

Edited by: jkhan on May 22, 2009 10:13 PM
mahesh

Posts: 11
Registered: 10/07/08
Re: FUSE Integration Designer 1.2
Posted: May 25, 2009 6:21 AM   in response to: jkhan in response to: jkhan
  Click to reply to this thread Reply
Addition of Project classpath entries to the runtime of the eip would be supported from the next version(1.2.1). This currently being tracked at http://fusesource.com/issues/browse/UI-1162
rlg673

Posts: 22
Registered: 01/03/08
Re: FUSE Integration Designer 1.2
Posted: May 26, 2009 9:38 PM   in response to: mahesh in response to: mahesh
  Click to reply to this thread Reply
Unfortunately, I receive a PERMISSION VIOLATION error when I attempt to access link http://fusesource.com/issues/browse/UI-1162.

/Ron
oisin

Posts: 136
Registered: 08/05/07
Re: FUSE Integration Designer 1.2
Posted: May 26, 2009 9:47 PM   in response to: rlg673 in response to: rlg673
  Click to reply to this thread Reply
Hi Ron,
I've just checked the security level on that JIRA and it is marked as 'none', which means that you should have read access to it.

I've created a test bug

http://fusesource.com/issues/browse/UI-1174

which has the same security level. Can you attempt to access that, to see if the same result occurs.

Are there JIRA issues that you can successfully access?

--oh
rlg673

Posts: 22
Registered: 01/03/08
Re: FUSE Integration Designer 1.2
Posted: May 28, 2009 1:45 AM   in response to: oisin in response to: oisin
  Click to reply to this thread Reply
Hi Oisin,

When i try to access this test issue, I receive the same error:

PERMISSION VIOLATION
ERROR

It seems that you have tried to perform an operation which you are not permitted to perform.

If you think this message is wrong, please consult your administrators about getting the necessary permissions.

Also, when I browse the fusesource jira, I can no longer even see the UI project.

/Ron
oisin

Posts: 136
Registered: 08/05/07
Re: FUSE Integration Designer 1.2
Posted: May 28, 2009 6:35 AM   in response to: rlg673 in response to: rlg673
  Click to reply to this thread Reply
Thanks Ron, looks like we have some kind of a misconfiguration on our end and we'll have to fix it.

--oh
oisin

Posts: 136
Registered: 08/05/07
Re: FUSE Integration Designer 1.2
Posted: May 28, 2009 6:42 AM   in response to: rlg673 in response to: rlg673
  Click to reply to this thread Reply
I spotted that the UI Project default permission scheme had changed (a unexpected side effect of some other changes) which may be the issue - so I've reset it to be public.
rlg673

Posts: 22
Registered: 01/03/08
Re: FUSE Integration Designer 1.2
Posted: May 28, 2009 1:47 PM   in response to: oisin in response to: oisin
  Click to reply to this thread Reply
Hi Oisin,

It appears you fixed the problem and I can now browse the UI project as well as its issues.

Thanks,

/Ron